using System;
using System.Collections.Generic;
using System.Runtime.CompilerServices;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate298 : MulticastDelegate
{
	public extern CallSiteBinder Invoke(CSharpBinderFlags csharpBinderFlags_0, string string_0, IEnumerable<Type> ienumerable_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_1);

	public static CallSiteBinder smethod_0(CSharpBinderFlags csharpBinderFlags_0, string string_0, IEnumerable<Type> ienumerable_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_1, Delegate298 delegate298_1)
	{
		return delegate298_1(csharpBinderFlags_0, string_0, ienumerable_0, type_0, ienumerable_1);
	}

	public extern Delegate298(object object_0, IntPtr intptr_0);

	static Delegate298()
	{
		Class10.smethod_13(typeof(Delegate298).TypeHandle);
	}

	internal static Delegate298 delegate298_0;
}
